Boomi Platform API Reference (1.0.0) - RuntimeObservabilitySettings
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Manages observability settings for runtimes, including logs, metrics, and traces configuration.
Retrieves a RuntimeObservabilitySettings object by identifier
Initiates async operation and returns token for retrieving observability settings.
Authorizations:
path Parameters
| id required | string |
Responses
Response Schema:
required | object (AsyncToken) |
| responseStatusCode required | integer <int32> |
Response samples
- 200
- 403
- 410
- 503
{- "@type": "AsyncOperationTokenResult",
- "asyncToken": {
- "@type": "AsyncToken",
- "token": "RuntimeObservabilitySettings-2a16ed42-a32a-4114-85ab-44eb2c60303c"
}, - "responseStatusCode": 202
}Retrieves a RuntimeObservabilitySettings object by token
Retrieves observability settings using the token.
Authorizations:
path Parameters
| token required | string Takes in the token from a previous call to return a result. |
Responses
Response Schema:
| responseStatusCode required | integer <int32> |
| numberOfResults | integer <int32> |
Array of objects (RuntimeObservabilitySettings) |
Response samples
- 200
- 403
- 410
- 503
{- "@type": "AsyncOperationResult",
- "result": [
- {
- "@type": "RuntimeObservabilitySettings",
- "runtimeId": "44e038de-7830-426e-a1c5-36baaa8c99ef",
- "generalSettings": {
- "@type": "GeneralSettings",
- "enabled": true,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BASIC",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "username",
- "type": "string",
- "value": "newusername@company.comnew"
}, - {
- "@type": "ObservabilityAuthenticationFields",
- "id": "password",
- "type": "password",
- "encryptedValueSet": true
}
]
}
}
}, - "logSettings": {
- "@type": "LogSettings",
- "enabled": true,
- "overrideGeneralObservabilityEndpoint": false,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BEARER_TOKEN",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "bearerToken",
- "type": "password",
- "encryptedValueSet": true
}
]
}
}, - "logFilterEnabled": true,
- "logFilterTypes": [
- "RUNTIME",
- "PROCESS",
- "DOCUMENT",
- "RUNNER",
- "WORKER",
- "BROWSER"
], - "logTimeoutSeconds": [
- "BigInteger",
- 30
], - "logBatchSize": [
- "BigInteger",
- 512
], - "logFlushInterval": [
- "BigInteger",
- 1000
], - "logMaxQueueSize": [
- "BigInteger",
- 2048
]
}, - "metricSettings": {
- "@type": "MetricSettings",
- "enabled": true,
- "overrideGeneralObservabilityEndpoint": false,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BEARER_TOKEN",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "bearerToken",
- "type": "password",
- "encryptedValueSet": true
}
]
}
}, - "metricTimeoutSeconds": [
- "BigInteger",
- 30
], - "metricIntervalSeconds": [
- "BigInteger",
- 30
]
}, - "traceSettings": {
- "@type": "TraceSettings",
- "enabled": true,
- "overrideGeneralObservabilityEndpoint": false,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BEARER_TOKEN",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "bearerToken",
- "type": "password",
- "encryptedValueSet": true
}
]
}
}, - "traceTimeoutSeconds": [
- "BigInteger",
- 0
], - "traceBatchSize": [
- "BigInteger",
- 0
], - "traceFlushInterval": [
- "BigInteger",
- 100
], - "traceMaxQueueSize": [
- "BigInteger",
- 0
], - "processFilterEnabled": true,
- "processFilterIds": [
- "1d0f671b-713a-4f9c-942f-f27f396bfa0c",
- "b29f0349-23d6-4e87-846b-381ac76b8e5f",
- "75949b79-c36d-4188-8c4d-9aa5ce8c40e3"
]
}
}
], - "responseStatusCode": 200
}Modifies or updates a RuntimeObservabilitySettings object
Updates observability settings for a runtime
Authorizations:
path Parameters
| id required | string |
Request Body schema: optional
| runtimeId required | string Unique identifier of the runtime. Must be a valid runtime belonging to the account, where the runtime should be online and active. Cloud attachments are not supported. |
object (GeneralSettings) | |
object (LogSettings) | |
object (MetricSettings) | |
| shouldRestartPlugin | boolean Restart observability plugin after update. If false, observability setting changes will not be used until the plugin is restarted. Only applicable for update operations. |
object (TraceSettings) |
Responses
Response Schema:
| runtimeId required | string Unique identifier of the runtime. Must be a valid runtime belonging to the account, where the runtime should be online and active. Cloud attachments are not supported. |
object (GeneralSettings) | |
object (LogSettings) | |
object (MetricSettings) | |
| shouldRestartPlugin | boolean Restart observability plugin after update. If false, observability setting changes will not be used until the plugin is restarted. Only applicable for update operations. |
object (TraceSettings) |
Request samples
- Payload
{- "runtimeId": "a0c49871-212b-4ece-9b29-fafd80ca0136",
- "generalSettings": {
- "@type": "GeneralSettings",
- "enabled": true,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BASIC",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "username",
- "value": "newusername@company.comnew"
}, - {
- "@type": "ObservabilityAuthenticationFields",
- "id": "password",
- "value": "mypasswordsdfvzsdvz"
}
]
}
}
}, - "logSettings": {
- "@type": "LogSettings",
- "enabled": true,
- "overrideGeneralObservabilityEndpoint": false,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BEARER_TOKEN",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "bearerToken",
- "value": "esrgslogs-bearer-tokendzfvzdv"
}
]
}
}, - "logTimeoutSeconds": 30,
- "logBatchSize": 512,
- "logFlushInterval": 1000,
- "logMaxQueueSize": 2048,
- "logFilterEnabled": true,
- "logFilterTypes": [
- "RUNTIME",
- "PROCESS",
- "DOCUMENT",
- "RUNNER",
- "WORKER",
- "BROWSER"
]
}, - "metricSettings": {
- "@type": "MetricSettings",
- "enabled": true,
- "overrideGeneralObservabilityEndpoint": false,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BEARER_TOKEN",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "bearerToken",
- "value": "metrics-bearer-token"
}
]
}
}, - "metricTimeoutSeconds": 30,
- "metricIntervalSeconds": 30
}, - "traceSettings": {
- "@type": "TraceSettings",
- "enabled": true,
- "overrideGeneralObservabilityEndpoint": false,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BEARER_TOKEN",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "bearerToken",
- "value": "traces-bearer-token"
}
]
}
}, - "traceBatchSize": 0,
- "traceFlushInterval": 100,
- "traceTimeoutSeconds": 0,
- "traceMaxQueueSize": 0,
- "processFilterEnabled": true,
- "processFilterIds": [
- "1d0f671b-713a-4f9c-942f-f27f396bfa0c",
- "b29f0349-23d6-4e87-846b-381ac76b8e5f",
- "75949b79-c36d-4188-8c4d-9aa5ce8c40e3"
]
}, - "shouldRestartPlugin": true
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "RuntimeObservabilitySettings",
- "runtimeId": "a0c49871-212b-4ece-9b29-fafd80ca0136",
- "generalSettings": {
- "@type": "GeneralSettings",
- "enabled": true,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BASIC",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "username",
- "type": "string",
- "value": "newusername@company.comnew"
}, - {
- "@type": "ObservabilityAuthenticationFields",
- "id": "password",
- "type": "password",
- "encryptedValueSet": true
}
]
}
}
}, - "logSettings": {
- "@type": "LogSettings",
- "enabled": true,
- "overrideGeneralObservabilityEndpoint": false,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BEARER_TOKEN",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "bearerToken",
- "type": "password",
- "encryptedValueSet": true
}
]
}
}, - "logFilterEnabled": true,
- "logFilterTypes": [
- "RUNTIME",
- "PROCESS",
- "DOCUMENT",
- "RUNNER",
- "WORKER",
- "BROWSER"
], - "logTimeoutSeconds": [
- "BigInteger",
- 30
], - "logBatchSize": [
- "BigInteger",
- 512
], - "logFlushInterval": [
- "BigInteger",
- 1000
], - "logMaxQueueSize": [
- "BigInteger",
- 2048
]
}, - "metricSettings": {
- "@type": "MetricSettings",
- "enabled": true,
- "overrideGeneralObservabilityEndpoint": false,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BEARER_TOKEN",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "bearerToken",
- "type": "password",
- "encryptedValueSet": true
}
]
}
}, - "metricTimeoutSeconds": [
- "BigInteger",
- 30
], - "metricIntervalSeconds": [
- "BigInteger",
- 30
]
}, - "traceSettings": {
- "@type": "TraceSettings",
- "enabled": true,
- "overrideGeneralObservabilityEndpoint": false,
- "observabilityEndpoint": {
- "@type": "ObservabilityEndpoint",
- "authentication": {
- "@type": "ObservabilityEndpointAuthentication",
- "authType": "BEARER_TOKEN",
- "fields": [
- {
- "@type": "ObservabilityAuthenticationFields",
- "id": "bearerToken",
- "type": "password",
- "encryptedValueSet": true
}
]
}
}, - "traceTimeoutSeconds": [
- "BigInteger",
- 0
], - "traceBatchSize": [
- "BigInteger",
- 0
], - "traceFlushInterval": [
- "BigInteger",
- 100
], - "traceMaxQueueSize": [
- "BigInteger",
- 0
], - "processFilterEnabled": true,
- "processFilterIds": [
- "1d0f671b-713a-4f9c-942f-f27f396bfa0c",
- "b29f0349-23d6-4e87-846b-381ac76b8e5f",
- "75949b79-c36d-4188-8c4d-9aa5ce8c40e3"
]
}
}